svn::Exception Class Reference

`#include <exception.hpp>`

## Public Member Functions

| Exception (const char *message) throw ()
| ~Exception () throw ()
const char * | message () const
apr_status_t | apr_err () const

## Protected Attributes

Data * | m

## Detailed Description

Generic exception class.

## Constructor & Destructor Documentation

svn::Exception::Exception | ( | const char * | message | ) |
throw | ( |
| ) |  |

Constructor. Assigns the exception reason.

svn::Exception::~Exception | ( |  | ) |
throw | ( |
| ) |  |

## Member Function Documentation

apr_status_t svn::Exception::apr_err | ( |  | ) | const

Returns
  the outermost error code.

const char* svn::Exception::message | ( |  | ) | const

Returns
  the exception message.

## Field Documentation

Data* svn::Exception::m

protected

The documentation for this class was generated from the following file:

- exception.hpp